Name:           python-taru
Version:        1.0.4
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Taru processes a tar listing to display the cumulative size of files stored in individual directories.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/dspinellis/taru
Source:         %{pypi_source taru}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'taru' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-taru
Summary:        %{summary}

%description -n python3-taru %_description


%prep
%autosetup -p1 -n taru-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-taru -f %{pyproject_files}


%changelog
%autochangelog